Centos 7系统python2.6升级到2.7.11

今天在折腾pyone程序的时候,发现centos小鸡的python版本为2.6.6,不符合要求,需要安装2.7,自己从网上找了一下,找到了教程,折腾了一下,不过出现了些问题,终于也解决了,下面就分享一下解决过程

1、查看当前python的版本

2、下载Python-2.7.11

3、解压并进入目录

4、编译安装

5、查看安装后版本

6、建立软连接,使系统默认的 python指向 python2.7

7、解决系统 Python 软链接指向 Python2.7 版本后,因为yum是不兼容 Python 2.7的,所以yum不能正常工作,我们需要指定 yum 的Python版本,不会VI编辑命令的可以使用宝塔的文件管理来改。

将文件头部的

8、配置iBus

分别用 vim 打开下面两个文件,找到 exec python 那一行,把exec python 改为 exec python2.6 保存,退出。iBus在重启后就恢复正常了!

9、上面教程都整完之后,在执行 pip install -r requirements.txt又出错了。

解决方案,找到pip在Python2.6中的安装路径:

可以看到路径:

把pip文件复制到python2.7/site-packages就可以了。目录如下:

转载请注明:开心VPS测评 » Centos 7系统python2.6升级到2.7.11

赞 (0)

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址